import { SelectProps } from 'antd';
import { FC } from 'react';
import { DefaultOptionType } from 'antd/es/select';
interface IProps extends SelectProps {
    /**
     * 默认值
     */
    defaultValue?: string;
    /**
     * type Option = {
     *  value?: string | number;
     *  label?: string;
     * }
     */
    options?: DefaultOptionType[];
    filterOption?: any;
    /**
     * 占位符
     */
    placeholder?: string;
    drawerHeight?: number;
    /**
     *
     * 选择完成后的回调
     */
    onChange?: (value?: any, option?: DefaultOptionType | DefaultOptionType[]) => void;
}
declare const BitzSelect: FC<IProps>;
export default BitzSelect;
