import { FC } from 'react';
import './index.less';
interface BitzSettingProps {
    /**
     * 开关
     */
    open?: boolean;
    /**
     * 关闭事件
     */
    onClose?: () => void;
    /**
     * 点击列表返回时间val:string
     */
    handleList?: (val: string) => void;
    /**
     * 设置列表数据settingData[{label:''，key:'',icon:''}]
     */
    settingData?: any[];
    /**
     * 多语言数据languageData[{label:''，key:'',icon:''}]
     */
    languageData: any[];
}
declare const BitzSetting: FC<BitzSettingProps>;
export default BitzSetting;
