import { FC } from 'react';
import './index.less';
interface BitzTableSearchProps {
    /**
     * 搜索按钮文字
     */
    enterButton?: string;
    /**
     * 搜索回调函数函数
     */
    onSearch?: (val: string) => void;
    /**
     * 操作按钮文字
     */
    operationText?: string;
    /**
     * 操作回调函数:type默认是添加即add
     */
    operationEmit?: () => void;
    /**
     * 输入框关键字
     */
    placeholder?: string;
}
declare const BitzTableSearch: FC<BitzTableSearchProps>;
export default BitzTableSearch;
