/**
 * - description: 获取数据字典列表
 * - param {*} opt
 * - return {*}
 */
export declare function GetDictionarysPagedList(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取新闻列表
 * - param {*} opt
 * - return {*}
 */
export declare function GetArticlesPagedList(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取新闻编辑回填内容
 * - param {*} opt
 * - return {*}
 */
export declare function GetArticleForEdit(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 保存编辑
 * - param {*} opt
 * - return {*}
 */
export declare function CreateOrUpdateArticle(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 删除新闻
 * - param {string} id
 * - return {*}
 */
export declare function DeleteArticle(id: string): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取组织结构分页
 * - param {*} opt
 * - return {*}
 */
export declare function GetBranchsPagedList(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取律师分页列表
 * - param {*} opt
 * - return {*}
 */
export declare function GetLawyersPagedList(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取业务领域分页列表
 * - param {*} opt
 * - return {*}
 */
export declare function GetBusinesssPagedList(opt?: {}): Promise<import("axios").AxiosResponse<any, any>>;
/**
 * - description: 获取文章
 * - param {*} contentType [wxwz]
 * - param {*} url [string]
 * - return {*}
 */
export declare function GetUrlContent(contentType: string, url: string): Promise<import("axios").AxiosResponse<any, any>>;
