import { FC } from "react";
import './index.less';
interface BitzMeetingTimeProps {
    /**
     * 必填 区间开始时间 Number 小时 0-24
     */
    startHour?: number;
    /**
     * 必填 区间结束时间 Number 小时 0-24
     */
    endHour?: number;
    /**
     * 必填 传入的数据 Array，time数组会根据 now-time日期进行过滤，只展示now-time设置日期的数据
     */
    time?: any[];
    /**
     * 一小时被分为多少分
     */
    divide?: number;
    current?: boolean;
    /**
     * 必填 传入的数据 Array，time数组会根据 now-time日期进行过滤，只展示now-time设置日期的数据
     */
    nowTime?: string;
    roomId?: string;
}
declare const BitzMeetingTime: FC<BitzMeetingTimeProps>;
export default BitzMeetingTime;
