import { FC } from 'react';
import { ModalProps } from 'antd';
import './index.less';
interface BitzModalProps extends ModalProps {
    /**
     * 弹窗控制开关
     */
    modalOpen?: boolean;
    /**
     * 弹窗控文字
     */
    modalText?: string;
    /**
     * 用户id
     */
    deleteId?: string;
    /**
     * 删除接口
     */
    deleteUrl?: any;
    /**
     * 弹窗操作返回函数：ok(确认)|cancel(取消)|success(成功)|fail(失败)
     */
    modalEmit?: (type: string) => void;
}
declare const BitzModal: FC<BitzModalProps>;
export default BitzModal;
