import React from "react";
import { ColProps, FormInstance, FormProps, RowProps } from "antd";
interface QueryFilterContentProps {
    onFinish?: FormProps["onFinish"];
    onReset?: () => void;
    defaultCollapsed: boolean;
    onCollapse?: (collapsed: boolean) => void;
    collapsed?: boolean;
    resetText?: string;
    searchText?: string;
    searchGutter?: RowProps["gutter"];
    split?: boolean;
    form: FormInstance<any>;
    items: React.ReactNode[];
    submitter?: JSX.Element | false;
    showLength: number;
    spanSize: {
        span: number;
        layout: FormProps["layout"];
    };
    submitterColSpanProps?: Omit<ColProps, "span"> & {
        span: number;
    };
    baseClassName: string;
    ignoreRules?: boolean;
    preserve?: boolean;
    showHiddenNum?: boolean;
}
declare const _default: React.NamedExoticComponent<QueryFilterContentProps>;
export default _default;
